|  | Home | Documentation | soap_session Struct Reference updated Wed Aug 17 2016 |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
soap_session Struct Reference

A session node. More...

`#include <sessions.h>`

Collaboration diagram for soap_session:
[legend]

## Public Attributes
struct soap_session * | next
const char * | id
struct soap_session_var * | session_vars
struct soap_session_var * | session_vars_tail
int | num_session_vars
long | cookie_maxage
int | rolling
time_t | last_touched
long | max_inactive_secs

## Detailed Description

A session node.

## Member Data Documentation

long soap_session::cookie_maxage

const char* soap_session::id

time_t soap_session::last_touched

long soap_session::max_inactive_secs

struct soap_session* soap_session::next

int soap_session::num_session_vars

int soap_session::rolling

struct soap_session_var* soap_session::session_vars

struct soap_session_var* soap_session::session_vars_tail

The documentation for this struct was generated from the following file:

- sessions.h